## org.omg.Dynamic
Class Parameter

    java.lang.Object
      |
      +--org.omg.Dynamic.Parameter

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class Parameter
extends java.lang.Object
implements IDLEntity

Struct definition : Parameter

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`Any` `argument` Struct member argument
`ParameterMode` `mode` Struct member mode

Constructor Summary
`Parameter()` Default constructor
`Parameter(Any argument, ParameterMode mode)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### argument

    public Any argument

  Struct member argument

### mode

    public ParameterMode mode

  Struct member mode

Constructor Detail

### Parameter

    public Parameter()

  Default constructor

### Parameter

    public Parameter(Any argument,
                     ParameterMode mode)

  Constructor with fields initialization
  Parameters:
    `argument` - argument struct member
    `mode` - mode struct member